GammalLib - Action #1110

Feature # 1036 (Closed): Implement energy resolution
Write a test case

01/28/2014 10:06 AM - Knddlseder Jirgen

Status: Closed Start date: 12/10/2013
Priority: Normal Due date:

Assigned To: Owen Ellis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Stage Florent

Description

History

#1 - 01/29/2014 11:34 AM - Deil Christoph
- Status changed from New to In Progress

- Assigned To set to Owen Ellis

#2 - 01/31/2014 02:54 PM - Owen Ellis
- % Done changed from 0 to 50

https://github.com/ellisowen/gammalib/tree/action_1105_b

currently a bug in the unit test - I'm working on this at the moment to resolve the issue.

#3 - 01/31/2014 10:19 PM - Knodlseder Jiirgen
- % Done changed from 50 to 60

On the flight back | implemented the integration in GCTAResponse::nedisp which does basically the same as your unit test. While doing this |
recognized that there were some errors in the function computation, which | corrected. Now the energy dispersion integrated to unity.

I merged in your action_1105_b, did some minor cosmetic adjustments, and this now also seems to work. So you may close the issue, unless you
want to add more testing steps.

| merged the 1036-implement-energy-resolution branch into integration, as | worked in the meanwhile on the GCaldb class, and this led to a
divergence of the code. So CTA energy dispersion is now implemented in GammalLib!

Still needs some testing, but at least everything compiles and all unit tests are okay.

#4 - 02/15/2014 11:33 AM - Deil Christoph
- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

#5 - 02/16/2014 03:15 AM - Knddlseder Jiirgen

- Status changed from Resolved to Feedback

05/02/2024 12



https://github.com/ellisowen/gammalib/tree/action_1105_b

#6 - 07/19/2014 02:10 AM - Knddlseder Jiirgen

- Target version deleted (2nd coding sprint)
#7 - 10/30/2014 11:50 AM - Knddlseder Jiirgen
- Status changed from Feedback to Closed

- Remaining (hours) set to 0.0

#8 - 02/18/2015 06:34 PM - Knodlseder Jiirgen

- Target version set to Stage Florent
